CREATE TABLE fnd_setup_data_actions (
    IDENTIFIER           VARCHAR2(512),
    ACTION               VARCHAR2(240),
    TYPE                 VARCHAR2(120)    NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128)    NOT NULL,
    IDENTIFIER           VARCHAR2(512),
    ACTION               VARCHAR2(240),
    TYPE                 VARCHAR2(120)    NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128)    NOT NULL,
    CONSTRAINT pk_fnd_setup_data_actions PRIMARY KEY (IDENTIFIER, ACTION, IDENTIFIER, ACTION)
);
